import request from '@/utils/request'

// 查询标签信息
export function querykindsNumber() {
  return request({
    url: '/outcomewmsapply/querykindsNumber',
    method: 'get'
  })
}

// 查询申请列表
export function outComeList(query) {
  return request({
    url: '/outcomewmsapply/list',
    method: 'get',
    params: query
  })
}

// 处理
export function handleOutWarehouse(query){
  return request({
    url: '/outcomewmsapply/handleOutWarehouse',
    method: 'get',
    params: query
  })
}
// 校验
export function validNumber(query){
  return request({
    url: '/outcomewmsapply/validNumber',
    method: 'get',
    params: query
  })
}

// 出库
export function persistOut(data) {
  return request({
    url: '/outcomewmsapply/persistOut',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8' // 接口修改传参类型
    }
  })
}
